UIWebView deprecation information

Starting back with iOS 8, Apple replaced its UIWebView component with its own WebKit enabled WebView component. A web view component has always been a core part of the Wikitude SDK rendering HTML content as part of our JavaScript product. 


Apple recently issued warnings to developers, who try to submit an app to the Apple App Store that includes code referencing UIWebView. While Wikitude SDK included WKWebView early on and it became the default web view, we still did not entirely remove the UIWebView component for backward compatibility. 


Given the move from the App Store team, Wikitude SDK 8.9 for iOS now ships without UIWebView, so customers of the Wikitude SDK can easily comply with those regulations. 


This applies only for our JS API based products on iOS (includes Cordova, Flutter, Xamarin).


It can happen that you see this message also when using Unity. This is independent of the Wikitude Unity plugin, but a Unity bug, that was resolved recently (https://issuetracker.unity3d.com/issues/ios-apple-throws-deprecated-api-usage-warning-for-using-uiwebview-when-submitting-builds-to-the-app-store-connect?_ga=2.14981630.91195367.1569914886-2004838699.1569914886)



Your Wikitude Team!